# --------------------------------------------------------------------
# Example: 
#
#  In this example we are using a fixed aggregate data set of 8 Gig 
#  active, 10 Gig of client RAM, and incrementing the requested Ops/sec.
#  There are 10 requested load points, and they are all equally
#  spaced. 
#
#  All of the results will be in the run.log file, as it is opened
#  in append mode.
#
#  Note: The use of the -K option means that the data set will be 
#        reused, to save time, and not recreated from scratch
#        at each load point. If you edit this script and change
#        the aggregate data set size, you will need to delete
#        all of the files and directories in the test directories
#        specified in the '-g clients' file.
#
# --------------------------------------------------------------------
#
# Clean up any left over files from other runs.
#
rm -f test/*
rm -f client_*
rm -f /tmp/netmist_C*
rm -f run.log
#
./netmist -K -O 300  -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 600  -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 900  -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 1200 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 1500 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 1800 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 2100 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 2400 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 2700 -d 1 -b 1g -B 8g -l run.log -g clients 
./netmist -K -O 3000 -d 1 -b 1g -B 8g -l run.log -g clients 

#
# Here are the example contents of the -g clients file:
# We have 10 physical clients, with the test directory
# of /mnt/fas2020/netmist_dir/test. (mounted by each client
# before the test began execution. The clients are all loading
# the Netmist executable from the shared location:
# /mnt/fas/netmist and they are all running
# the SWBUILD workload.
#
#Clientname=Box1 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box2 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box3 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box4 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box5 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box6 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box7 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box8 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box9 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD
#Clientname=Box10 Username=me Workdir=/test Execpath=/test/netmist Workload=SWBUILD

